package com.bjtdba.entity.wares;

import java.util.List;

public class StoreProductAttr {

    /**
     * 商品ID
     */
    private Integer product_id;

    /**
     * 属性名
     */
    private String attr_name;

    /**
     * 属性值
     */
    private String attr_values;

    /**
     * 活动类型 0=商品
     */
    private Integer type;

    /**
     *属性ID（规格ID）
     */
    private String attr_id;

    /**
     * 分类值+ID列表
     */
    private List<StoreProductAttrSort> storeProductAttrSortList;

    public List<StoreProductAttrSort> getStoreProductAttrSortList() {
        return storeProductAttrSortList;
    }

    public void setStoreProductAttrSortList(List<StoreProductAttrSort> storeProductAttrSortList) {
        this.storeProductAttrSortList = storeProductAttrSortList;
    }

    public String getAttr_id() {
        return attr_id;
    }

    public void setAttr_id(String attr_id) {
        this.attr_id = attr_id;
    }

    public Integer getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Integer product_id) {
        this.product_id = product_id;
    }

    public String getAttr_name() {
        return attr_name;
    }

    public void setAttr_name(String attr_name) {
        this.attr_name = attr_name;
    }

    public String getAttr_values() {
        return attr_values;
    }

    public void setAttr_values(String attr_values) {
        this.attr_values = attr_values;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

}
